For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList data connections
      • POSTCreate connect session
      • POSTSync connections
      • GETGet data connection
      • DELDelete data connection
      • PATCHUpdate connection status
      • GETList connection tools
Dashboard
LogoLogo
Runtype APIData Connections

Create connect session

POST
/v1/data-connections/connect-session
POST
/v1/data-connections/connect-session
$curl -X POST https://api.runtype.com/v1/data-connections/connect-session \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "connectLink": "https://connect.runtype.com/session/abc123xyz",
4 "sessionId": "sess_9f8b7c6d5e4a3b2c1d0e",
5 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyX2lkMTIzNCIsImlhdCI6MTY4NjQ3MjAwMH0.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
6 }
7}
Create a connect session that opens the provider hosted connect UI.
Was this page helpful?
Previous

Sync connections

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
categorieslist of stringsOptional
labelstringOptional

Response

Connect session details
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error